package cn.superdesk.uniorder.dubbo.facade.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxExtendInfo;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxExtendInfoParam;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxExtendInfoQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-03-17 13:52:19
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-03-17 13:52:19
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSzhtxxElectronicInvoiceFptxxExtendInfoService {

    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(SzhtxxElectronicInvoiceFptxxExtendInfo entity);

//    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxExtendInfoParam param);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxExtendInfo entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    SzhtxxElectronicInvoiceFptxxExtendInfo findById(Long id);

    @Deprecated
    PageInfo<SzhtxxElectronicInvoiceFptxxExtendInfo> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SzhtxxElectronicInvoiceFptxxExtendInfo> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/

    int saveOrUpdate(SzhtxxElectronicInvoiceFptxxExtendInfo entity, LoginSysUser loginSysUser);

    int addSzhtxxElectronicInvoiceFptxxExtendInfo(SzhtxxElectronicInvoiceFptxxExtendInfoParam param);

    int updateSzhtxxElectronicInvoiceFptxxExtendInfo(SzhtxxElectronicInvoiceFptxxExtendInfoParam param);



    int deleteSzhtxxElectronicInvoiceFptxxExtendInfo(Long id);

    SzhtxxElectronicInvoiceFptxxExtendInfo findSzhtxxElectronicInvoiceFptxxExtendInfoById(Long id);

    SzhtxxElectronicInvoiceFptxxExtendInfo findByFpqqlsh(String fpqqlsh);

    R<List<SzhtxxElectronicInvoiceFptxxExtendInfo>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<SzhtxxElectronicInvoiceFptxxExtendInfo>> pageQueryGenericParam(SzhtxxElectronicInvoiceFptxxExtendInfoQueryCriteria criteria);
}
